Bug 1567142

Summary: neutron-l3-agent container build fails, requiring neutron-vpnaas
Product: Red Hat OpenStack Reporter: Bernard Cafarelli <bcafarel>
Component: openstack-tripleo-commonAssignee: Jon Schlueter <jschluet>
Status: CLOSED ERRATA QA Contact: Toni Freger <tfreger>
Severity: high Docs Contact:
Priority: high    
Version: 13.0 (Queens)CC: mburns, slinaber
Target Milestone: betaKeywords: Triaged
Target Release: 13.0 (Queens)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openstack-tripleo-common-8.6.1-0.20180410165747.4d8ca16.el7ost Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-27 13:51:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bernard Cafarelli 2018-04-13 13:38:16 UTC
With upstream https://review.openstack.org/#/c/551729 merged, kolla builds neutron-l3-agent with vpnaas and libreswan in (merged in a single container):
https://review.openstack.org/#/c/551729/3/docker/neutron/neutron-l3-agent/Dockerfile.j2

This works for RDO as it still has neutron-vpnaas, but this was dropped in OSP a few releases ago.

So for downstream OSP we should override this so container build does not try to pull in openstack-neutron-vpn-agent and libreswan

Comment 4 Toni Freger 2018-05-09 05:19:47 UTC
Code tested on latest OSP13 with openstack-tripleo-common-8.6.1-6.el7ost.noarch

# NOTE(jschlueter) RH OSP does not ship openstack-neutron-vpnaas so we need to exclude these
{% set neutron_l3_agent_packages_remove = ['openstack-neutron-vpn-agent', 'libreswan'] %}

Comment 6 errata-xmlrpc 2018-06-27 13:51:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086